services:
  uw_cfg_common.uw_ldap:
    class: Drupal\uw_cfg_common\Service\UWLdap
    arguments: ['@config.factory', '@current_user']
  uw_cfg_common.uw_service:
    class: Drupal\uw_cfg_common\Service\UWService
    arguments: ['@entity_type.manager', '@database', '@simplify_menu.menu_items', '@path_alias.manager']
  uw_cfg_common.route_subscriber:
    class: Drupal\uw_cfg_common\Routing\UwNodeAccessRouteSubscriber
    tags:
      - { name: event_subscriber }
  uw_cfg_common.uw_node_access_checker:
    class: Drupal\uw_cfg_common\Access\UwNodeAccessCheck
    tags:
      - { name: access_check, applies_to: _uw_node_access_check }
  uw_cfg_common.uw_analytics:
    class: \Drupal\uw_cfg_common\Service\UWAnalytics
    arguments: ['@router.admin_context', '@current_route_match']
  uw_cfg_common.event_subscriber:
    class: '\Drupal\uw_cfg_common\EventSubscriber\UwLayoutBuilderEventSubscriber'
    tags:
      - { name: 'event_subscriber' }
